# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(Kwiki.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Kwiki-Comments
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Post Comments to Kwiki Pages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Kwiki::Comments is a the Kwiki manpage plugin that allow anyone to leave
comments to a Page, just like Slash comments or MT comments. To use
this plugin, simply install the Kwiki manpage, and this module from CPAN, and
do:

    # echo 'Kwiki::Comments' >> plugins
    # kwiki -update

Currently you'll need to have the DBD::SQLite manpage module installed to use
this module. Maybe in the future, we can support more kinds of database
back-end.

And now your site is ready to have comments. But, comments
are not shown automatically. You'll have to append this line:

    {comments}

To whatever pages that are allow comment.

The basic idea is that, some wiki pages can be protected, only admin
can edit them. On those protected pages, comments becomes the only way
for anybody to give feedbacks, but sometimes you don't even want a
feedback. That's why you'll need to clearly specify if you want
a comment form attach to the page, or not.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/K*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

